All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess
Class SASLog

    com.sas.services.storedprocess.SASLog

All Implemented Interfaces:
  java.io.Serializable

    public class SASLog

implements java.io.Serializable

A collection of SAS log or listing lines. There are three components to each line: the line text, the line type and the carriage control associated with the line.

See Also:
  Serialized Form

Field Summary
`static int` | `CARRIAGE_CONTROL_NEWPAGE`
`static int` | `CARRIAGE_CONTROL_NORMAL`
`static int` | `CARRIAGE_CONTROL_OVERPRINT`
`static int` | `CARRIAGE_CONTROL_SKIPLINE`
`static int` | `CARRIAGE_CONTROL_SKIPTWOLINES`
`static int` | `LINE_TYPE_BYLINE`
`static int` | `LINE_TYPE_ERROR`
`static int` | `LINE_TYPE_FOOTNOTE`
`static int` | `LINE_TYPE_HIGHLIGHTED`
`static int` | `LINE_TYPE_MESSAGE`
`static int` | `LINE_TYPE_NORMAL`
`static int` | `LINE_TYPE_NOTE`
`static int` | `LINE_TYPE_SOURCE`
`static int` | `LINE_TYPE_TITLE`
`static int` | `LINE_TYPE_WARNING`

Method Summary
`int[]` | `getCarriageControls()` Returns the array of carriage control values.
`java.lang.String[]` | `getLines()` Returns the array of lines (text).
`int` | `getLinesAvailable()` Returns the number of lines lines that are available in this object, which is the number of elements in the arrays returned by `getLines()`, `getLineTypes()` and `getCarriageControls()`.
`int` | `getLinesRequested()` Returns the number of lines that were requested in the call to the `Execution2Interface` method which created this object.
`int[]` | `getLineTypes()` Returns the array of line types.

Field Detail

### LINE_TYPE_NORMAL

    public static final int LINE_TYPE_NORMAL

See Also:
  Constant Field Values

### LINE_TYPE_HIGHLIGHTED

    public static final int LINE_TYPE_HIGHLIGHTED

See Also:
  Constant Field Values

### LINE_TYPE_SOURCE

    public static final int LINE_TYPE_SOURCE

See Also:
  Constant Field Values

### LINE_TYPE_TITLE

    public static final int LINE_TYPE_TITLE

See Also:
  Constant Field Values

### LINE_TYPE_BYLINE

    public static final int LINE_TYPE_BYLINE

See Also:
  Constant Field Values

### LINE_TYPE_FOOTNOTE

    public static final int LINE_TYPE_FOOTNOTE

See Also:
  Constant Field Values

### LINE_TYPE_ERROR

    public static final int LINE_TYPE_ERROR

See Also:
  Constant Field Values

### LINE_TYPE_WARNING

    public static final int LINE_TYPE_WARNING

See Also:
  Constant Field Values

### LINE_TYPE_NOTE

    public static final int LINE_TYPE_NOTE

See Also:
  Constant Field Values

### LINE_TYPE_MESSAGE

    public static final int LINE_TYPE_MESSAGE

See Also:
  Constant Field Values

### CARRIAGE_CONTROL_NORMAL

    public static final int CARRIAGE_CONTROL_NORMAL

See Also:
  Constant Field Values

### CARRIAGE_CONTROL_NEWPAGE

    public static final int CARRIAGE_CONTROL_NEWPAGE

See Also:
  Constant Field Values

### CARRIAGE_CONTROL_OVERPRINT

    public static final int CARRIAGE_CONTROL_OVERPRINT

See Also:
  Constant Field Values

### CARRIAGE_CONTROL_SKIPLINE

    public static final int CARRIAGE_CONTROL_SKIPLINE

See Also:
  Constant Field Values

### CARRIAGE_CONTROL_SKIPTWOLINES

    public static final int CARRIAGE_CONTROL_SKIPTWOLINES

See Also:
  Constant Field Values

Method Detail

### getLinesRequested

    public int getLinesRequested()

  Returns the number of lines that were requested in the call to the `Execution2Interface` method which created this object. If the method to get the log or listing had no parameter for the number of lines requested a -1 is returned.

  Returns:
    the number of lines that were requested or -1

### getLinesAvailable

    public int getLinesAvailable()

  Returns the number of lines lines that are available in this object, which is the number of elements in the arrays returned by `getLines()`, `getLineTypes()` and `getCarriageControls()`.

  Returns:
    the number of lines that are available in this object

### getLines

    public java.lang.String[] getLines()

  Returns the array of lines (text). There are `getLinesAvailable()` elements in the array.

  Returns:
    the array of lines

### getLineTypes

    public int[] getLineTypes()

  Returns the array of line types. There are `getLinesAvailable()` elements in the array. Each value is one of the LINE_TYPE_ constants defined in this class.

  Returns:
    the array of lines

### getCarriageControls

    public int[] getCarriageControls()

  Returns the array of carriage control values. There are `getLinesAvailable()` elements in the array. Each value is one of the CARRIAGE_CONTROL_ constants defined in this class.

  Returns:
    the array of lines

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.